Page MenuHomePhabricator

Include namespace information on action=info page
Closed, ResolvedPublic

Description

In MediaWiki, each page has a specific action called "info", which shows some information about the page. In addition, each page in MediaWiki is in a specific namespace (see more under "Materials"), however, this Namespace is not visible on the action=info page.

Example: for page VisualEditor:Test can be:

  • Namespace (main) and title "VisualEditor:Test"
  • Namespace "VisualEditor" and title "Test"

Show information about the namespace in action=info page can be useful in these cases. A user might not know which namespaces are active in a project.

Materials:

Details

Related Gerrit Patches:
mediawiki/core : masterAdd namespace to action=info page
mediawiki/core : masterAdd namespace to action=info page

Event Timeline

Beta16 created this task.Jan 11 2016, 2:02 PM
Beta16 raised the priority of this task from to Needs Triage.
Beta16 updated the task description. (Show Details)
Beta16 added a subscriber: Beta16.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptJan 11 2016, 2:02 PM

Change 264079 had a related patch set uploaded (by Pmlineditor):
Add namespace to action=info page

https://gerrit.wikimedia.org/r/264079

Pmlineditor set Security to None.
Framawiki moved this task from Backlog to Doing on the good first task board.Dec 2 2017, 1:41 PM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 2 2017, 1:41 PM
Framawiki removed Pmlineditor as the assignee of this task.Dec 2 2017, 2:31 PM
Framawiki removed a project: Patch-For-Review.
Framawiki moved this task from Doing to Backlog on the good first task board.
Framawiki added a subscriber: Pmlineditor.

Change 264079 abandoned by Pmlineditor:
Add namespace to action=info page

https://gerrit.wikimedia.org/r/264079

Hello, Is this bug fixed or need to do any changes?

Hello, Is this bug fixed or need to do any changes?

The patch has not yet been merged, so the bug has not yet been fixed.

Aklapper updated the task description. (Show Details)Oct 24 2018, 3:12 PM
Aklapper moved this task from Proposed tasks to Imported in GCI Site on the Google-Code-in-2018 board.

Change 475333 had a related patch set uploaded (by Pjht; owner: Pjht):
[mediawiki/core@master] Add namespace to action=info page

https://gerrit.wikimedia.org/r/475333

Jdforrester-WMF closed this task as Resolved.Dec 6 2018, 12:13 AM
Jdforrester-WMF assigned this task to Pmlineditor.
Jdforrester-WMF removed a project: Patch-For-Review.
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Thank you for your work!

Change 475333 merged by jenkins-bot:
[mediawiki/core@master] Add namespace to action=info page

https://gerrit.wikimedia.org/r/475333